Bug 816259 - Not showing on GDM.
Not showing on GDM.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xguest (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 12:18 EDT by Sergio
Modified: 2013-09-20 12:23 EDT (History)
9 users (show)

See Also:
Fixed In Version: xguest-1.0.10-31.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 12:23:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio 2012-04-25 12:18:30 EDT
Description of problem: I have xguest installed and selinux set to enforcing mode but I have no 'Guest' user to login to in GDM.

Version-Release number of selected component (if applicable):
1.0.10-3.fc17

How reproducible: always


Steps to Reproduce:
1. install xguest
2. reboot or whatever
3. 'Guest' user not present in GDM's screen
  
Actual results:
No way to login as a guest.

Expected results:
Guest account present in GDM's login screen.

Additional info:
I posted on the forum and on the 'test' mailing list but had no response whether anyone had this issue too.

I'm using GDM but my only desktop environment is Xfce.
Comment 1 Daniel Walsh 2012-05-04 08:54:46 EDT
If you type guest for username does it work?
Comment 2 Daniel Walsh 2012-05-04 08:56:11 EDT
Ray is there something here I need to do to get the account to show up, or is this frowned upon.
Comment 3 Fedora End Of Life 2013-07-03 18:17:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Andrew Aylett 2013-07-16 17:13:40 EDT
The guest account appeared in GDM while I was running F18, but hasn't appeared since upgrading to F19.  If I put 'xguest' in the username field in GDM, it successfully logs in as the guest user.
Comment 5 Daniel Walsh 2013-07-17 13:26:58 EDT
Ray?
Comment 6 Larry O'Leary 2013-08-23 01:26:05 EDT
Any update on this? I am having the same issue in F19. I can login as xguest by clicking "Not listed?" and typing xguest but the "Guest" user does not appear in the user list of GDM.
Comment 7 Daniel Walsh 2013-08-26 16:09:42 EDT
Try this.

cat /dev/urandom | passwd xguest --stdin

Then see if the Guest account shows up?

I think we need to switch to this method.
Comment 8 Fedora Update System 2013-08-26 16:56:11 EDT
xguest-1.0.10-30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xguest-1.0.10-30.fc19
Comment 9 Andrew Aylett 2013-08-26 17:19:42 EDT
Setting a password on the guest user does indeed cause it to show up, thank you.
Comment 10 Fedora Update System 2013-08-27 19:36:26 EDT
Package xguest-1.0.10-30.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xguest-1.0.10-30.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15418/xguest-1.0.10-30.fc19
then log in and leave karma (feedback).
Comment 11 Larry O'Leary 2013-08-28 22:34:48 EDT
I tried the update and it did not work. Still no Guest displayed in user list and when choosing "Not listed..." and entering xguest I now receive a session error screen and xguest login fails.

I will see if I can get more specifics on the error and make certain reverting to the previous version still works.
Comment 12 Larry O'Leary 2013-08-28 22:56:36 EDT
The session error I am getting appears to be unrelated. I will have to investigate that further.

But the Guest user still does not show up on GDM. Looking at xguest password I see it is still set to * so I am guessing that whatever is in the xguest-1.0.10-30.fc19 isn't getting picked up correctly.
Comment 13 Daniel Walsh 2013-08-29 08:30:23 EDT
You need to reinstall the xguest package, or it will continue to use the xguest user account that the bad package installed.
Comment 14 Larry O'Leary 2013-08-29 09:52:19 EDT
I'll give that a try. However, can't the update take care of this?
Comment 15 Daniel Walsh 2013-08-29 10:35:13 EDT
Yes I guess I can do a trigger for it.
Comment 16 Daniel Walsh 2013-08-29 11:22:33 EDT
Fixed in xguest-1.0.10-31.fc19.

Larry are you on F19 now, to test this out?
Comment 17 Larry O'Leary 2013-08-29 11:37:32 EDT
(In reply to Daniel Walsh from comment #16)
> Larry are you on F19 now, to test this out?

Yes.
Comment 18 Daniel Walsh 2013-08-29 11:55:29 EDT
Fixed in xguest-1.0.10-31.fc19
Comment 19 Larry O'Leary 2013-08-30 01:25:35 EDT
I pulled down xguest-1.0.10-31.fc19 and tested it. It words fine. 

Not sure if the package's pre/post scripts should be writing to stdout. When performing the update I see output from yum:

Changing password for user xguest.
passwd: all authentication tokens updated successfully.


Should probably use:

head -1 /dev/urandom | passwd xguest --stdin >/dev/null
Comment 20 Larry O'Leary 2013-08-30 01:29:12 EDT
Actually, now that my guest session has been idle, I do see a major problem with this fix. If the guest account has a real password, the lock screen will activate and there isn't a way to unlock it.

Either a different solution is needed or the lock screen would need to be disabled for the xguest user. But I am guessing that would be coupling it to the desktop environment.
Comment 21 Daniel Walsh 2013-08-30 11:00:33 EDT
That is a different bug which is already open with pam.
Comment 22 Larry O'Leary 2013-08-30 11:28:12 EDT
So it seems that this issue already existed prior to your fix and I just hadn't noticed? I will go back and double check but if that is the case then this fix looks good. For reference, the pam bug you mention appears to be 969174 and is what I was seeing.
Comment 23 Daniel Walsh 2013-08-30 11:31:15 EDT
Right, I went looking for it and failed to find it, and then went onto other things.
Comment 24 Fedora Update System 2013-08-30 19:02:24 EDT
Package xguest-1.0.10-31.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xguest-1.0.10-31.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15418/xguest-1.0.10-31.fc19
then log in and leave karma (feedback).
Comment 25 Fedora Update System 2013-09-20 12:23:45 EDT
xguest-1.0.10-31.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.